/**
  **************************************************************************************************
  * @file		menu.h
  * @author		Kerem Yollu & Edwin Koch
  * @date		08.11.2021
  * @version	1.0
  ************************************************************************************************** 
  * @brief		Basic menu implementation for diefferent use cases
  **************************************************************************************************
*/
#ifndef _MENU_H
#define _MENU_H

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>

void menuGoUp(); 
void menuGoDown(); 
void menuGoLeft(); 
void menuGoRight(); 

uint8_t menuGetEnter(); 
uint8_t menuGetEscape(); 
uint8_t menuGetReturn(); 
uint8_t menuGetClear();

void menuSendEnter(); 
void menuSendEscape(); 
void menuSendReturn(); 
void menuSendClear();

void menuPrintChar(uint8_t char); 
void menuMainMenu(); 

#ifdef __cplusplus
}
#endif

#endif // _MENU_H












